Problemas de representación de Android Studio

Estoy usando Android Studio 0.2.3 y cuando se abre un diseño de actividad normalmente, la vista previa debe aparecer en el lado derecho, de modo que pueda cambiar entre el modo de Texto y Diseño , que nuevamente debería mostrar la vista previa del diseño.

Pero no se muestra ninguna vista previa en el lado derecho ni cuando estoy en modo texto ni en el modo de diseño . Acabo de obtener los rendering problems... error rendering problems...

Cuando compilo todo e instalo la aplicación en mi dispositivo, funciona sin ningún error. Para desarrollar y experimentar con el diseño, aún estaría bien si pudiera hacer que funcione la vista previa.

También intenté cambiar entre diferentes dispositivos en el estudio, pero no tuve éxito.

¿Alguien sabe cómo resolver esto?

Cambia tu versión de Android en la vista previa de tu diseñador a tu versión actual, depende de tu Manifiesto. el problema de representación causó que su vista previa del diseñador utilizara un nivel de API más alto que su nivel actual de API de Android.

Ajústelo con su nivel de API actual

Ajústelo con su nivel de API actual. Si el nivel de API no está en la lista, deberá instalarlo a través del Administrador de SDK.

  1. Abra AndroidManifest.xml
  2. Cambio:

      android: theme = "@ style / AppTheme" 

    a algo como:

      android: theme = "@ style / Theme.AppCompat.Light" 
  3. Presiona el botón “actualizar” en la pestaña “Previev”.

Pude solucionar esto en Android Studio 0.2.0 al cambiar API de API 18: Android 4.3 a API 17: Android 4.2.2

Esto se encuentra debajo del menú del icono de Android en la esquina superior derecha de la ventana de diseño.

Esta fue una solución de http://www.hankcs.com/program/mobiledev/idea-this-version-of-the-rendering-library-is-more-recent-than-your-version-of-intellij-idea -please-update-intellij-idea.html . Esto requería una traducción de Google al inglés porque estaba en otro idioma.

Espero eso ayude.

En la nueva actualización de android studio 2.2 que enfrenta problemas de renderización, sigue estos pasos.

Lo arreglé – en el archivo de styles.xml que cambié

 "Theme.AppCompat.Light.DarkActionBar" 

a

 "Base.Theme.AppCompat.Light.DarkActionBar" 

Es un tipo de truco que encontré hace mucho tiempo para resolver problemas de renderizado similares en versiones anteriores de Android Studio.

En el último Android Studio 3.1.3 , Dependencia:

 implementation 'com.android.support:appcompat-v7:28.0.0-alpha3' 

o

Incluso en la última el 27 de agosto 18 es decir

implementation 'com.android.support:appcompat-v7:28.0.0-rc01' frente a un problema similar

Cambiarlo a

  implementation 'com.android.support:appcompat-v7:28.0.0-alpha1 

Esto resolverá tu problema de Vista previa.

ACTUALIZAR

Aún así, en beta01 hay un problema de vista previa para la última appcompact v7 library hace que lo anterior cambie como cambiarlo a alpha01 para resolver el problema de renderizado

He resuelto el problema cambiando style.xml

  

esta fue una solución asombrosa.

todavía sucede en Android Studio 1.5.1. en Ubuntu y puedes resolverlo simplemente cambiando una configuración desde Gradle:

1) en las dependencias de la aplicación / build.gradle cambian de:

 compile 'com.android.support:design:23.2.0' 

a:

 compile 'com.android.support:design:23.1.0' 

2) reconstruir el proyecto

3) actualizar la vista

Atentamente,

/Ángel

Tuve el mismo problema, la actualización actual, pero el procesamiento falló porque necesito actualizar.

Intenta cambiar la versión de actualización en la que estás. El valor predeterminado es Estable, pero hay 3 opciones más, siendo Canary la más nueva y potencialmente menos estable. Elegí buscar actualizaciones del canal Dev, que es un poco más estable que la construcción de Canary. Solucionó el problema y parece funcionar bien.

Para cambiar la versión, Buscar actualizaciones, luego haga clic en el enlace Actualizaciones en la ventana emergente que dice que ya tiene la última versión.

La representación no funcionó para mí también. Tenía valor en el lado derecho del ícono de Android. corrí

 sudo apt-get install gradle 

Reinicié Android Studio y el valor cambió a 23 .

¡Voila, ahora se renderiza! 🙂

enter image description here

Simplemente descargue SDK mínimo preferido de SDK Manager, luego compile. Funciona para mi.

Asegúrese de que su versión de diseñador y targetSdkVersion sean las mismas. Ejemplo: si su targetSdkVersion es 22, cambie también su versión de diseñador 22, por lo que este problema no ocurre.

La mejor solución es ir a Archivo -> Proyecto de sincronización con archivos Gradle

Espero que esto haya ayudado